searchData={"items":[{"type":"module","title":"Bildad.Job.JobConfig","doc":"Configuration for the Bildad job scheduling framework.","ref":"Bildad.Job.JobConfig.html"},{"type":"function","title":"Bildad.Job.JobConfig.new/2","doc":"","ref":"Bildad.Job.JobConfig.html#new/2"},{"type":"module","title":"Bildad.Job.JobEngine","doc":"This module contains the logic for enqueuing, running, and managing jobs in the Bildad job scheduling framework.","ref":"Bildad.Job.JobEngine.html"},{"type":"function","title":"Bildad.Job.JobEngine.complete_a_job/2","doc":"","ref":"Bildad.Job.JobEngine.html#complete_a_job/2"},{"type":"function","title":"Bildad.Job.JobEngine.enqueue_job/4","doc":"","ref":"Bildad.Job.JobEngine.html#enqueue_job/4"},{"type":"function","title":"Bildad.Job.JobEngine.expire_a_job/2","doc":"","ref":"Bildad.Job.JobEngine.html#expire_a_job/2"},{"type":"function","title":"Bildad.Job.JobEngine.fail_a_job/3","doc":"","ref":"Bildad.Job.JobEngine.html#fail_a_job/3"},{"type":"function","title":"Bildad.Job.JobEngine.find_elixir_process/1","doc":"","ref":"Bildad.Job.JobEngine.html#find_elixir_process/1"},{"type":"function","title":"Bildad.Job.JobEngine.get_retry_count/2","doc":"","ref":"Bildad.Job.JobEngine.html#get_retry_count/2"},{"type":"function","title":"Bildad.Job.JobEngine.kill_a_job/2","doc":"","ref":"Bildad.Job.JobEngine.html#kill_a_job/2"},{"type":"function","title":"Bildad.Job.JobEngine.launch_job_process/2","doc":"","ref":"Bildad.Job.JobEngine.html#launch_job_process/2"},{"type":"function","title":"Bildad.Job.JobEngine.remove_job_from_queue/2","doc":"","ref":"Bildad.Job.JobEngine.html#remove_job_from_queue/2"},{"type":"function","title":"Bildad.Job.JobEngine.run_a_job/2","doc":"","ref":"Bildad.Job.JobEngine.html#run_a_job/2"},{"type":"function","title":"Bildad.Job.JobEngine.stop_job_in_queue/2","doc":"","ref":"Bildad.Job.JobEngine.html#stop_job_in_queue/2"},{"type":"function","title":"Bildad.Job.JobEngine.try_to_kill_process/1","doc":"","ref":"Bildad.Job.JobEngine.html#try_to_kill_process/1"},{"type":"function","title":"Bildad.Job.JobEngine.validate_job_context/2","doc":"","ref":"Bildad.Job.JobEngine.html#validate_job_context/2"},{"type":"module","title":"Bildad.Job.JobKiller","doc":"The JobKiller module is responsible for killing jobs that have run too long.","ref":"Bildad.Job.JobKiller.html"},{"type":"function","title":"Bildad.Job.JobKiller.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\n`arg` is passed as the argument to `Task.start_link/1` in the `:start` field\nof the spec.\n\nFor more information, see the `Supervisor` module,\nthe `Supervisor.child_spec/2` function and the `t:Supervisor.child_spec/0` type.","ref":"Bildad.Job.JobKiller.html#child_spec/1"},{"type":"function","title":"Bildad.Job.JobKiller.get_job_config/0","doc":"","ref":"Bildad.Job.JobKiller.html#get_job_config/0"},{"type":"function","title":"Bildad.Job.JobKiller.run/1","doc":"","ref":"Bildad.Job.JobKiller.html#run/1"},{"type":"function","title":"Bildad.Job.JobKiller.start_link/1","doc":"","ref":"Bildad.Job.JobKiller.html#start_link/1"},{"type":"module","title":"Bildad.Job.JobQueueEntry","doc":"","ref":"Bildad.Job.JobQueueEntry.html"},{"type":"function","title":"Bildad.Job.JobQueueEntry.changeset/2","doc":"","ref":"Bildad.Job.JobQueueEntry.html#changeset/2"},{"type":"module","title":"Bildad.Job.JobRun","doc":"","ref":"Bildad.Job.JobRun.html"},{"type":"function","title":"Bildad.Job.JobRun.changeset/2","doc":"","ref":"Bildad.Job.JobRun.html#changeset/2"},{"type":"module","title":"Bildad.Job.JobTemplate","doc":"","ref":"Bildad.Job.JobTemplate.html"},{"type":"function","title":"Bildad.Job.JobTemplate.changeset/2","doc":"","ref":"Bildad.Job.JobTemplate.html#changeset/2"},{"type":"module","title":"Bildad.Job.Jobs","doc":"The Jobs module is responsible for managing job templates, job queue entries, and job runs.","ref":"Bildad.Job.Jobs.html"},{"type":"function","title":"Bildad.Job.Jobs.create_job_template/2","doc":"","ref":"Bildad.Job.Jobs.html#create_job_template/2"},{"type":"function","title":"Bildad.Job.Jobs.delete_job_template/2","doc":"","ref":"Bildad.Job.Jobs.html#delete_job_template/2"},{"type":"function","title":"Bildad.Job.Jobs.list_active_job_templates/1","doc":"","ref":"Bildad.Job.Jobs.html#list_active_job_templates/1"},{"type":"function","title":"Bildad.Job.Jobs.list_all_job_runs/3","doc":"","ref":"Bildad.Job.Jobs.html#list_all_job_runs/3"},{"type":"function","title":"Bildad.Job.Jobs.list_all_job_templates/1","doc":"","ref":"Bildad.Job.Jobs.html#list_all_job_templates/1"},{"type":"function","title":"Bildad.Job.Jobs.list_all_jobs_in_the_queue/1","doc":"","ref":"Bildad.Job.Jobs.html#list_all_jobs_in_the_queue/1"},{"type":"function","title":"Bildad.Job.Jobs.list_all_jobs_in_the_queue/3","doc":"","ref":"Bildad.Job.Jobs.html#list_all_jobs_in_the_queue/3"},{"type":"function","title":"Bildad.Job.Jobs.list_expired_jobs/1","doc":"","ref":"Bildad.Job.Jobs.html#list_expired_jobs/1"},{"type":"function","title":"Bildad.Job.Jobs.list_expired_jobs/3","doc":"","ref":"Bildad.Job.Jobs.html#list_expired_jobs/3"},{"type":"function","title":"Bildad.Job.Jobs.list_inactive_job_templates/1","doc":"","ref":"Bildad.Job.Jobs.html#list_inactive_job_templates/1"},{"type":"function","title":"Bildad.Job.Jobs.list_job_runs_for_result/2","doc":"","ref":"Bildad.Job.Jobs.html#list_job_runs_for_result/2"},{"type":"function","title":"Bildad.Job.Jobs.list_job_runs_for_result/4","doc":"","ref":"Bildad.Job.Jobs.html#list_job_runs_for_result/4"},{"type":"function","title":"Bildad.Job.Jobs.list_job_runs_to_kill/1","doc":"","ref":"Bildad.Job.Jobs.html#list_job_runs_to_kill/1"},{"type":"function","title":"Bildad.Job.Jobs.list_job_runs_to_kill/3","doc":"","ref":"Bildad.Job.Jobs.html#list_job_runs_to_kill/3"},{"type":"function","title":"Bildad.Job.Jobs.list_job_templates/1","doc":"","ref":"Bildad.Job.Jobs.html#list_job_templates/1"},{"type":"function","title":"Bildad.Job.Jobs.list_jobs_for_status_in_the_queue/2","doc":"","ref":"Bildad.Job.Jobs.html#list_jobs_for_status_in_the_queue/2"},{"type":"function","title":"Bildad.Job.Jobs.list_jobs_for_status_in_the_queue/4","doc":"","ref":"Bildad.Job.Jobs.html#list_jobs_for_status_in_the_queue/4"},{"type":"function","title":"Bildad.Job.Jobs.list_jobs_to_run_in_the_queue/1","doc":"","ref":"Bildad.Job.Jobs.html#list_jobs_to_run_in_the_queue/1"},{"type":"function","title":"Bildad.Job.Jobs.list_jobs_to_run_in_the_queue/3","doc":"","ref":"Bildad.Job.Jobs.html#list_jobs_to_run_in_the_queue/3"},{"type":"function","title":"Bildad.Job.Jobs.list_running_jobs_in_the_queue/1","doc":"","ref":"Bildad.Job.Jobs.html#list_running_jobs_in_the_queue/1"},{"type":"function","title":"Bildad.Job.Jobs.list_running_jobs_in_the_queue/3","doc":"","ref":"Bildad.Job.Jobs.html#list_running_jobs_in_the_queue/3"},{"type":"function","title":"Bildad.Job.Jobs.update_job_template/3","doc":"","ref":"Bildad.Job.Jobs.html#update_job_template/3"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}